cargo-features = ["profile-rustflags"]

[package]
name = "libk"
version = "0.1.0"
edition = "2024"
authors = ["Mark Poliakov <mark@alnyan.me>"]

[lib]
crate-type = ["rlib", "dylib"]

[dependencies]
libk-mm.workspace = true
libk-util.workspace = true
kernel-arch.workspace = true
abi-serde.workspace = true
abi-lib.workspace = true
yggdrasil-abi = { workspace = true, features = ["alloc", "serde"] }
device-api = { workspace = true, features = ["derive"] }

cfg-if.workspace = true
log.workspace = true
atomic_enum.workspace = true
futures-util.workspace = true
crossbeam-queue.workspace = true

serde_json.workspace = true
serde.workspace = true
bytemuck.workspace = true
bitflags.workspace = true
async-trait.workspace = true
static_assertions.workspace = true
elf.workspace = true

uuid = { version = "1.10.0", features = ["bytemuck"], default-features = false }
lru = "0.12.3"
postcard = "1.1.1"

[dev-dependencies]
tokio = { workspace = true, features = ["rt", "macros"] }
libc.workspace = true
test-log = "0.2.16"

[lints]
workspace = true
